package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mosty.base.model.dto.qwzx.AppSearchQuery;
import com.mosty.base.model.entity.jcgl.TbJcglXfcl;
import com.mosty.base.model.query.jcgl.TbJcglXfclQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbJcglXfclService {

    IPage<TbJcglXfcl> getXfclList(TbJcglXfclQuery tbJcglXfcl);

    void addXfcl(TbJcglXfcl tbJcglXfcl);

    void updateXfcl(TbJcglXfcl tbJcglXfcl);

    boolean deleteXfcl(List<String> id);

    TbJcglXfcl selectClxq(String id);

    @ApiOperation("查询车辆详情")
    Page<TbJcglXfcl> selectXfclList(AppSearchQuery dto);

    @ApiOperation("导入车辆详情")
    String importData(List<TbJcglXfcl> xfclList, boolean updateSupport);
}
